GET   checks/browser/{checkId}/results/{resultId}/screenshots

Gets information about screenshots for a browser check result.

URL Parameters

NameDescription
checkId

Check identifier. Type: numeric.

resultId

Check result identifier. Type: GUID.

Remarks

The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.

Request example

curl --request GET "https://api-asm1.apica.io/v3/checks/browser/12345/results/b1d01c2d-341d-4b7b-be0c-02e290483fd4/screenshots?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"

Response body model example and description

[
  {
    "id": "9d50a91b-78d1-480c-8a7e-51f6f87aec61",
    "index": 0,
    "timestamp_utc": "2026-04-25T18:47:28",
    "image_type": "IMAGE/JPEG"
  },
  {
    "id": "db233209-5f9f-4974-b52c-d53495c6ce79",
    "index": 2,
    "timestamp_utc": "2026-04-25T18:47:28",
    "image_type": "IMAGE/JPEG"
  },
  {
    "id": "8e515570-ab39-4e06-b04c-ec4dbae23446",
    "index": 0,
    "timestamp_utc": "2026-04-25T18:47:28",
    "image_type": "IMAGE/JPEG"
  }
]
NameType Description
id Guid

Screenshot identifier.

index Integer

Index of the screenshot in the list (starting from 0).

timestamp_utc DateTime

Screenshot timestamp (in UTC).

image_type String

Type of the screenshot image.